Bug 455831 - Eclipse can't open any perspective after upgrading to IcedTea
Eclipse can't open any perspective after upgrading to IcedTea
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 01:16 EDT by Tim McConnell
Modified: 2009-01-09 01:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:40:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2008-07-18 01:16:05 EDT
Description of problem: Eclipse can't open any perspective after upgrading to
Kernel 2.6.25.10-47.fc8
 


Version-Release number of selected component (if applicable):
Version: 3.3.0
Based on build id: I20070625-1500


How reproducible:
Ugrade to new Kernel and try to go to C++ perspective 

Steps to Reproduce:
1.Upgrade Kernel 
2. Launch Eclipse 
3.Try to go to new perspective 
  
Actual results:
No Perspectives Viewable


Expected results:
To be able to change perspectives as needed 

Additional info:
can't create new project either, most of the cascading menus are gone or contain
nothing when highlighted.
Comment 1 Andrew Overholt 2008-07-18 08:41:29 EDT
I can't see how the kernel affected this.  Please provide the output of the
commands at:

http://fedoraproject.org/wiki/DebuggingEclipseProblems

Have you considered upgrading to Fedora 9?
Comment 2 Tim McConnell 2008-07-18 14:45:47 EDT
(In reply to comment #1)
> I can't see how the kernel affected this.  Please provide the output of the
> commands at:
> 
> http://fedoraproject.org/wiki/DebuggingEclipseProblems
Output is:
[root@localhost ~]# rpm -qa eclipse*
eclipse-ecj-3.3.0-31.fc8
eclipse-cvs-client-3.3.0-31.fc8
eclipse-mylyn-pde-2.0.0-9.fc8
eclipse-pydev-debuginfo-1.3.17-1.fc8
eclipse-gef-examples-3.3.0-1.fc8
eclipse-mylyn-ide-2.0.0-9.fc8
eclipse-epic-0.6.24-2.fc8
eclipse-debuginfo-3.3.0-31.fc8
eclipse-emf-sdo-2.2.2-1.fc7
eclipse-emf-sdo-sdk-2.2.2-1.fc7
eclipse-mylyn-bugzilla-2.0.0-9.fc8
eclipse-emf-2.2.2-1.fc7
eclipse-mylyn-2.0.0-9.fc8
eclipse-gef-3.3.0-1.fc8
eclipse-subclipse-debuginfo-1.2.4-5.fc8
eclipse-phpeclipse-1.2.0-0.2.svn1573.fc8
eclipse-gef-sdk-3.3.0-1.fc8
eclipse-checkstyle-4.0.1-9.fc8
eclipse-mylyn-trac-2.0.0-9.fc8
eclipse-pde-3.3.0-31.fc8
eclipse-emf-examples-2.2.2-1.fc7
eclipse-quickrex-3.5.0-5.fc8
eclipse-epic-debuginfo-0.6.24-2.fc8
eclipse-emf-sdk-2.2.2-1.fc7
eclipse-egit-0.3.0-2.fc8
eclipse-rpm-editor-0.4.0-3.fc8
eclipse-rcp-3.3.0-31.fc8
eclipse-cdt-4.0.1-3.fc8
eclipse-changelog-2.6.2-1.fc8
eclipse-rpm-editor-debuginfo-0.4.0-3.fc8
eclipse-emf-debuginfo-2.2.2-1.fc7
eclipse-demos-0.0.1-2.fc8
eclipse-subclipse-1.2.4-5.fc8
eclipse-emf-xsd-2.2.2-1.fc7
eclipse-emf-xsd-sdk-2.2.2-1.fc7
eclipse-mylyn-java-2.0.0-9.fc8
eclipse-gef-debuginfo-3.3.0-1.fc8
eclipse-emf-standalone-2.2.2-1.fc7
eclipse-jdt-3.3.0-31.fc8
eclipse-phpeclipse-debuginfo-1.2.0-0.2.svn1573.fc8
eclipse-egit-debuginfo-0.3.0-2.fc8
eclipse-cdt-sdk-4.0.1-3.fc8
eclipse-platform-3.3.0-31.fc8
eclipse-checkstyle-debuginfo-4.0.1-9.fc8
eclipse-cdt-debuginfo-4.0.1-3.fc8
eclipse-pde-runtime-3.3.0-31.fc8
eclipse-pydev-1.3.17-1.fc8
eclipse-quickrex-debuginfo-3.5.0-5.fc8
eclipse-mylyn-debuginfo-2.0.0-9.fc8
eclipse-subclipse-book-1.2.4-5.fc8

[root@localhost ~]# which java
/usr/bin/java
[root@localhost ~]# which javac
/usr/bin/javac
[root@localhost ~]# java -version
java version "1.7.0"
IcedTea Runtime Environment (build 1.7.0-b21)
IcedTea Client VM (build 1.7.0-b21, mixed mode)


> 
> Have you considered upgrading to Fedora 9?

Yes I have, working on backing up the files I need at this time, but Eclipse
worked previous to this update. 

Comment 3 Tim McConnell 2008-07-18 14:53:32 EDT
From the yum log file: 
Jul 17 03:31:01 Updated: kernel-debuginfo-common.i686 2.6.25.10-47.fc8
Jul 17 03:33:51 Updated: kernel-debuginfo.i686 2.6.25.10-47.fc8
Jul 17 03:33:58 Updated: docbook-dtds.noarch 1.0-33.fc8
Jul 17 03:34:08 Updated: kernel-headers.i386 2.6.25.10-47.fc8
Jul 17 03:35:48 Installed: kernel-devel.i686 2.6.25.10-47.fc8
Jul 17 03:35:51 Updated: fluidsynth-libs.i386 1.0.8-1.fc8
Jul 17 03:36:39 Installed: kernel.i686 2.6.25.10-47.fc8
Jul 17 03:36:40 Updated: ntfs-3g.i386 2:1.2712-1.fc8
Jul 17 03:36:40 Updated: kmod-nvidia.i686 173.14.09-4.lvn8
Jul 17 03:36:43 Installed: kmod-nvidia-2.6.25.10-47.fc8.i686 173.14.09-4.lvn8
Jul 17 03:37:36 Erased: kmod-nvidia-2.6.25.6-27.fc8
Jul 17 15:45:40 Installed: adobe-release-i386 - 1.0-1.noarch
Jul 17 15:59:06 Updated: mod_nss-debuginfo.i386 1.0.7-8.fc8
Jul 17 22:39:30 Installed: eclipse-emf.i386 2.2.2-1.fc7
Jul 17 22:39:35 Installed: eclipse-emf-xsd.i386 2.2.2-1.fc7
Jul 17 22:39:40 Installed: eclipse-gef.i386 3.3.0-1.fc8
Jul 17 22:39:44 Installed: eclipse-emf-sdo.i386 2.2.2-1.fc7
Jul 17 22:39:48 Installed: brazil.i386 2.3-3.fc8
Jul 17 22:39:49 Installed: perl-PadWalker.i386 1.5-1.fc8.1
Jul 17 22:40:00 Installed: eclipse-epic.i386 0.6.24-2.fc8
Jul 17 22:40:07 Installed: eclipse-emf-examples.i386 2.2.2-1.fc7
Jul 17 22:40:08 Installed: eclipse-checkstyle-debuginfo.i386 4.0.1-9.fc8
Jul 17 22:40:09 Installed: eclipse-mylyn-pde.i386 2.0.0-9.fc8
Jul 17 22:40:11 Installed: eclipse-subclipse-debuginfo.i386 1.2.4-5.fc8
Jul 17 22:40:17 Installed: eclipse-phpeclipse-debuginfo.i386 1.2.0-0.2.svn1573.fc8
Jul 17 22:40:17 Installed: eclipse-rpm-editor-debuginfo.i386 0.4.0-3.fc8
Jul 17 22:40:17 Installed: eclipse-quickrex-debuginfo.i386 3.5.0-5.fc8
Jul 17 22:40:20 Installed: eclipse-gef-debuginfo.i386 3.3.0-1.fc8
Jul 17 22:40:27 Installed: eclipse-quickrex.i386 3.5.0-5.fc8
Jul 17 22:40:31 Installed: eclipse-mylyn-debuginfo.i386 2.0.0-9.fc8
Jul 17 22:40:38 Installed: eclipse-emf-debuginfo.i386 2.2.2-1.fc7
Jul 17 22:40:38 Installed: eclipse-egit-debuginfo.i386 0.3.0-2.fc8
Jul 17 22:41:05 Installed: eclipse-phpeclipse.i386 1.2.0-0.2.svn1573.fc8
Jul 17 22:41:08 Installed: eclipse-pydev-debuginfo.i386 1:1.3.17-1.fc8
Jul 17 22:41:20 Installed: eclipse-cdt-debuginfo.i386 1:4.0.1-3.fc8
Jul 17 22:41:21 Installed: eclipse-epic-debuginfo.i386 0.6.24-2.fc8
Jul 17 22:42:10 Installed: eclipse-debuginfo.i386 1:3.3.0-31.fc8
Jul 17 22:42:15 Installed: maven2-plugin-eclipse.i386 2.0.4-10jpp.8.fc8
Jul 17 22:42:17 Installed: perl-Error.noarch 1:0.17010-1.fc8
Jul 17 22:42:17 Installed: eclipse-emf-sdo-sdk.i386 2.2.2-1.fc7
Jul 17 22:42:18 Installed: eclipse-gef-sdk.i386 3.3.0-1.fc8
Jul 17 22:42:20 Installed: eclipse-emf-xsd-sdk.i386 2.2.2-1.fc7
Jul 17 22:42:20 Installed: checkstyle-optional.noarch 4.1-4jpp.2.fc8
Jul 17 22:42:24 Installed: eclipse-emf-sdk.i386 2.2.2-1.fc7
Jul 17 22:42:26 Installed: eclipse-emf-standalone.i386 2.2.2-1.fc7
Jul 17 22:42:26 Installed: eclipse-subclipse-book.i386 1.2.4-5.fc8
Jul 17 22:42:40 Installed: eclipse-demos.noarch 0.0.1-2.fc8
Jul 17 22:42:43 Installed: eclipse-cdt-sdk.i386 1:4.0.1-3.fc8
Jul 17 22:42:57 Installed: eclipse-checkstyle.i386 4.0.1-9.fc8
Jul 17 22:42:59 Installed: eclipse-gef-examples.i386 3.3.0-1.fc8
Jul 17 22:43:16 Installed: git-core.i386 1.5.4.1-1.fc8
Jul 17 22:43:20 Installed: eclipse-egit.i386 0.3.0-2.fc8
Jul 17 22:43:20 Installed: perl-Git.i386 1.5.4.1-1.fc8
Comment 4 Tim McConnell 2008-07-18 14:55:45 EDT
From the 13th of July these updates were installed: 
Jul 13 23:27:37 Updated: firefox.i386 2.0.0.15-1.fc8
Jul 13 23:27:47 Updated: tzdata-java.noarch 2008d-1.fc8
Jul 13 23:27:49 Updated: gnome-python2-extras.i386 2.19.1-15.fc8
Jul 13 23:28:59 Updated: firefox-devel.i386 2.0.0.15-1.fc8
Jul 13 23:29:14 Updated: system-config-date.noarch 1.9.32-1.fc8
Jul 13 23:29:17 Updated: libao.i386 0.8.8-5.fc8
Jul 13 23:31:22 Updated: firefox-debuginfo.i386 2.0.0.15-1.fc8
Jul 13 23:34:43 Updated: java-1.7.0-icedtea-javadoc.i586
1.7.0.0-0.20.b21.snapshot.fc8
Jul 13 23:35:06 Updated: tzdata.noarch 2008d-1.fc8
Jul 13 23:35:06 Updated: WebKit-doc.i386 1.0.0-0.10.svn34655.fc8
Jul 13 23:35:32 Updated: java-1.7.0-icedtea.i586 1.7.0.0-0.20.b21.snapshot.fc8
Jul 13 23:35:33 Updated: cups-libs.i386 1:1.3.7-4.fc8
Jul 13 23:35:36 Updated: WebKit-gtk.i386 1.0.0-0.10.svn34655.fc8
Jul 13 23:35:40 Updated: WebKit-qt.i386 1.0.0-0.10.svn34655.fc8
Jul 13 23:35:41 Updated: bind-libs.i386 32:9.5.0-28.P1.fc8
Jul 13 23:36:15 Updated: devhelp.i386 0.16.1-8.fc8
Jul 13 23:37:09 Updated: frozen-bubble.i386 2.1.0-9.fc8
Jul 13 23:37:10 Updated: pcre.i386 7.3-4.fc8
Jul 13 23:37:13 Updated: iptables.i386 1.4.1.1-1.fc8
Jul 13 23:37:14 Updated: WebKit-gtk-devel.i386 1.0.0-0.10.svn34655.fc8
Jul 13 23:37:22 Updated: java-1.7.0-icedtea-devel.i586 1.7.0.0-0.20.b21.snapshot.fc8
Jul 13 23:37:23 Updated: cups-devel.i386 1:1.3.7-4.fc8
Jul 13 23:37:24 Updated: gnome-python2-gtkhtml2.i386 2.19.1-15.fc8
Jul 13 23:37:29 Updated: java-1.7.0-icedtea-src.i586 1.7.0.0-0.20.b21.snapshot.fc8
Jul 13 23:40:03 Updated: WebKit-debuginfo.i386 1.0.0-0.10.svn34655.fc8
Jul 13 23:40:05 Updated: gnome-python2-libegg.i386 2.19.1-15.fc8
Jul 13 23:40:06 Updated: popt-debuginfo.i386 1.13-4.fc8
Jul 13 23:40:17 Updated: jetty.i386 5.1.14-1jpp.1.fc8
Jul 13 23:40:45 Updated: yelp.i386 2.20.0-10.fc8
Jul 13 23:40:54 Updated: java-1.7.0-icedtea-demo.i586 1.7.0.0-0.20.b21.snapshot.fc8
Jul 13 23:40:55 Updated: bind-utils.i386 32:9.5.0-28.P1.fc8
Jul 13 23:40:56 Updated: java-1.7.0-icedtea-plugin.i586
1.7.0.0-0.20.b21.snapshot.fc8
Jul 13 23:41:27 Updated: cups.i386 1:1.3.7-4.fc8
Jul 13 23:41:29 Updated: iptables-ipv6.i386 1.4.1.1-1.fc8

It was after doing this set of updates the problem happened. 
Comment 5 Tim McConnell 2008-07-23 15:50:19 EDT
Removed iced tea components and I can now view perspectives, but can't open new
projects or anything like that. In the Fedora 9 release notes I found that Iced
Tea is being dropped and Java 1.6 is being used. Should I install the 1.6 from
Sun? I kind of need this to work as I am using Eclipse for some programming
classes in college and I need to be able to to write the programs to pass the
classes.  
Comment 6 Andrew Overholt 2008-07-24 09:57:14 EDT
IcedTea -> OpenJDK 1.6, not Sun's binary 1.6 download.

CCing Lillian to see what changed in this most recent F8 IcedTea update.
Comment 7 Lillian Angel 2008-07-24 14:05:17 EDT
I have never encountered this issue with IcedTea/F8 and Eclipse. It sounds like
there might be an issue with its dependencies that may have been updated. 

Have you tried installing java-1.6.0-openjdk*? Do you still see the same problem?
Comment 8 Tim McConnell 2008-07-24 14:19:32 EDT
(In reply to comment #7)
> I have never encountered this issue with IcedTea/F8 and Eclipse. It sounds like
> there might be an issue with its dependencies that may have been updated. 
> 
> Have you tried installing java-1.6.0-openjdk*? Do you still see the same problem?

I tried to move to Fedora 9 and it wouldn't install, and it whacked the Fedora 8
install I had. 
I will try re-installing 8 and getting back to where I was and go from there. 
Comment 9 Tim McConnell 2008-07-31 14:40:21 EDT
Ok, I have got back to where I was. After fresh install of the OS I can now
create new projects and change perspectives.

I think I found what caused the problem in the first place. If I try to use the
update tool in the help section of Eclipse as a normal user (non-root) then I
receive multiple errors about networks could not be found, then a
java.lang.NullPointer exception occurs and Eclipse hangs until I use the kill
command on Eclipse's process. 
If I run Eclipse as root and run the software update tool I can update Eclipse
but can not add new plug-ins. I get errors like: 
Requested operation cannot be performed because it would invalidate the current
configuration. See details for more information.
  Eclipse RCP Patch 2 for 3.3.1 (3.3.1.v20071204_331) requires feature
"org.eclipse.rcp (3.3.1.R33x_r20070802-8y8eE8sEV3Fz0z0GlHJrXvTAUS)".
  Eclipse RCP Patch 3 for 3.3.1 (3.3.1.v20080102_331) requires feature
"org.eclipse.rcp (3.3.1.R33x_r20070802-8y8eE8sEV3Fz0z0GlHJrXvTAUS)".
Requested operation cannot be performed because it would invalidate the current
configuration. See details for more information.
  Eclipse RCP Patch 2 for 3.3.1 (3.3.1.v20071204_331) requires feature
"org.eclipse.rcp (3.3.1.R33x_r20070802-8y8eE8sEV3Fz0z0GlHJrXvTAUS)".
  Eclipse RCP Patch 3 for 3.3.1 (3.3.1.v20080102_331) requires feature
"org.eclipse.rcp (3.3.1.R33x_r20070802-8y8eE8sEV3Fz0z0GlHJrXvTAUS)".

I am unsure if that means a missing dependency or what. 
I have these installed:
eclipse-subclipse-1.2.4-5.fc8
eclipse-mylyn-pde-2.0.0-9.fc8
eclipse-egit-0.3.0-2.fc8
eclipse-pde-3.3.0-31.fc8
eclipse-emf-sdo-sdk-2.2.2-1.fc7
eclipse-platform-3.3.0-31.fc8
eclipse-emf-xsd-2.2.2-1.fc7
eclipse-emf-sdk-2.2.2-1.fc7
eclipse-mylyn-java-2.0.0-9.fc8
eclipse-ecj-3.3.0-31.fc8
eclipse-checkstyle-4.0.1-9.fc8
eclipse-mylyn-trac-2.0.0-9.fc8
eclipse-demos-0.0.1-2.fc8
eclipse-emf-examples-2.2.2-1.fc7
eclipse-gef-sdk-3.3.0-1.fc8
eclipse-changelog-2.6.1-3.fc8
eclipse-cdt-4.0.1-3.fc8
eclipse-mylyn-2.0.0-9.fc8
eclipse-gef-3.3.0-1.fc8
eclipse-phpeclipse-1.2.0-0.2.svn1573.fc8
eclipse-emf-standalone-2.2.2-1.fc7
eclipse-cvs-client-3.3.0-31.fc8
eclipse-rpm-editor-0.4.0-3.fc8
eclipse-mylyn-bugzilla-2.0.0-9.fc8
eclipse-cdt-sdk-4.0.1-3.fc8
eclipse-pde-runtime-3.3.0-31.fc8
eclipse-jdt-3.3.0-31.fc8
eclipse-emf-2.2.2-1.fc7
eclipse-emf-xsd-sdk-2.2.2-1.fc7
eclipse-mylyn-ide-2.0.0-9.fc8
eclipse-rcp-3.3.0-31.fc8
eclipse-emf-sdo-2.2.2-1.fc7
eclipse-subclipse-book-1.2.4-5.fc8
eclipse-epic-0.6.24-2.fc8
eclipse-gef-examples-3.3.0-1.fc8
eclipse-pydev-1.3.17-1.fc8
eclipse-quickrex-3.5.0-5.fc8

If I run the which java & javac commands I get:   
/usr/bin/java
/usr/bin/javac
java -version command gives: 
java version "1.7.0"
IcedTea Runtime Environment (build 1.7.0-b21)
IcedTea Client VM (build 1.7.0-b21, mixed mode)

If you need log files please give path so I can upload them, I thought they were
in /var/log/ but apparently not. 
Comment 10 Andrew Overholt 2008-08-11 11:42:05 EDT
Hi,

(In reply to comment #9)
> Ok, I have got back to where I was. After fresh install of the OS I can now
> create new projects and change perspectives.

Cool.

> If I try to use the
> update tool in the help section of Eclipse as a normal user (non-root) then I
> receive multiple errors about networks could not be found, then a
> java.lang.NullPointer exception occurs and Eclipse hangs until I use the kill
> command on Eclipse's process. 

This is odd and I can't reproduce it.

> If I run Eclipse as root and run the software update tool I can update Eclipse
> but can not add new plug-ins.

Running the update manager as root can cause issues with startup for regular users.  It should not be necessary.
Comment 11 Tim McConnell 2008-08-11 15:06:00 EDT
(In reply to comment #10)

> > If I try to use the
> > update tool in the help section of Eclipse as a normal user (non-root) then I
> > receive multiple errors about networks could not be found, then a
> > java.lang.NullPointer exception occurs and Eclipse hangs until I use the kill
> > command on Eclipse's process. 
> 
> This is odd and I can't reproduce it.
Not really odd you can't reproduce it, it seems this machine has a knack for wierd issues. I have SELinux enabled and use an Nvidia card for video. I also am using an AMD Thunderbird Processor,if that makes any difference.  
 
> > If I run Eclipse as root and run the software update tool I can update Eclipse
> > but can not add new plug-ins.
> 
> Running the update manager as root can cause issues with startup for regular
> users.  It should not be necessary.

Okay that might explain the cannot find workspace error I am now getting. I noticed during updating as "root" that 3.3.1 and 3.3.2 were not installed as part of the update process. 
If I run eclipse with gnome debug (gdb) what command options might be useful? Wouldn't the syntax be something like ' gdb eclipse' then 'run' ?
Comment 12 Andrew Overholt 2008-08-13 11:19:07 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > > If I run Eclipse as root and run the software update tool I can update Eclipse
> > > but can not add new plug-ins.
> > 
> > Running the update manager as root can cause issues with startup for regular
> > users.  It should not be necessary.
> 
> Okay that might explain the cannot find workspace error I am now getting. I
> noticed during updating as "root" that 3.3.1 and 3.3.2 were not installed as
> part of the update process. 

I don't know what you mean here.

> If I run eclipse with gnome debug (gdb) what command options might be useful?
> Wouldn't the syntax be something like ' gdb eclipse' then 'run' ?

Debugging Eclipse with gdb is going to be quite difficult :)

Try stripping everything down to just the Eclipse SDK and see what happens.  Be sure to remove any junk in /usr/lib{,64}/eclipse and /usr/share/eclipse that running Eclipse as root created.  Then try installing just eclipse-platform or eclipse-pde and see what happens.
Comment 13 Tim McConnell 2008-08-13 19:53:28 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > > If I run Eclipse as root and run the software update tool I can update Eclipse
> > > > but can not add new plug-ins.
> > > 
> > > Running the update manager as root can cause issues with startup for regular
> > > users.  It should not be necessary.
> > 
> > Okay that might explain the cannot find workspace error I am now getting. I
> > noticed during updating as "root" that 3.3.1 and 3.3.2 were not installed as
> > part of the update process. 
> 
> I don't know what you mean here.
I mean if I check the eclipse version after running the update it is still 

> 
> > If I run eclipse with gnome debug (gdb) what command options might be useful?
> > Wouldn't the syntax be something like ' gdb eclipse' then 'run' ?
> 
> Debugging Eclipse with gdb is going to be quite difficult :)
> 
> Try stripping everything down to just the Eclipse SDK and see what happens.  Be
> sure to remove any junk in /usr/lib{,64}/eclipse and /usr/share/eclipse that
> running Eclipse as root created.  Then try installing just eclipse-platform or
> eclipse-pde and see what happens.

(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > > If I run Eclipse as root and run the software update tool I can update Eclipse
> > > > but can not add new plug-ins.
> > > 
> > > Running the update manager as root can cause issues with startup for regular
> > > users.  It should not be necessary.> > 
> > Okay that might explain the cannot find workspace error I am now getting. I
> > noticed during updating as "root" that 3.3.1 and 3.3.2 were not installed as
> > part of the update process. 
> 
> I don't know what you mean here.
I mean if I check the version of eclipse after performing the update it is still 3.3.0 not the newer version as I would expect it to be. 

> 
> > If I run eclipse with gnome debug (gdb) what command options might be useful?
> > Wouldn't the syntax be something like ' gdb eclipse' then 'run' ?
> 
> Debugging Eclipse with gdb is going to be quite difficult :)
> 
> Try stripping everything down to just the Eclipse SDK and see what happens.  Be
> sure to remove any junk in /usr/lib{,64}/eclipse and /usr/share/eclipse that
> running Eclipse as root created.  Then try installing just eclipse-platform or
> eclipse-pde and see what happens.

Alright I did what you asked above I now have these packages: 
eclipse-cdt-4.0.1-3.fc8
eclipse-rcp-3.3.0-31.fc8
eclipse-platform-3.3.0-31.fc8
eclipse-cvs-client-3.3.0-31.fc8
eclipse-ecj-3.3.0-31.fc8
eclipse-cdt-sdk-4.0.1-3.fc8
when I try to launch eclipse I get the following error and it hangs: 
An internal error occurred during: "Compute launch button tooltip".

java.lang.NullPointerException
 
What the hell??  

As a foot note I did get Fedora 9 to install on VMWare player Eclipse 3.3.2 problems there too.
Comment 14 Andrew Overholt 2008-08-14 08:53:56 EDT
(In reply to comment #13)
> > > noticed during updating as "root" that 3.3.1 and 3.3.2 were not installed as
> > > part of the update process. 
> > 
> > I don't know what you mean here.
> I mean if I check the version of eclipse after performing the update it is
> still 3.3.0 not the newer version as I would expect it to be. 

Don't use the RPMs if you're going to use the update manager for RPM-installed components.  That's not supported.

> > Try stripping everything down to just the Eclipse SDK and see what happens.
> Alright I did what you asked above I now have these packages: 
> eclipse-cdt-4.0.1-3.fc8

The CDT isn't part of the SDK.

> eclipse-rcp-3.3.0-31.fc8
> eclipse-platform-3.3.0-31.fc8
> eclipse-cvs-client-3.3.0-31.fc8
> eclipse-ecj-3.3.0-31.fc8
> eclipse-cdt-sdk-4.0.1-3.fc8

No CDT.

> when I try to launch eclipse I get the following error and it hangs: 
> An internal error occurred during: "Compute launch button tooltip".
> 
> java.lang.NullPointerException

Do you have libswt3-gtk2?  If you've removed everything *and* cleaned out /usr/lib{,64}/eclipse and /usr/share/eclipse *and* re-installed eclipse-pde or eclipse-platform via yum, please re-run the commands found here and paste the output here:

http://fedoraproject.org/wiki/DebuggingEclipseProblems

> As a foot note I did get Fedora 9 to install on VMWare player Eclipse 3.3.2
> problems there too.

Sigh, I also can't reproduce this :( .  I'm running Fedora 9 here and have no issues with Eclipse 3.3.2 as provided in the RPMs.  Did you try with a clean ~/.eclipse and/or workspace?
Comment 15 Tim McConnell 2008-08-14 19:30:51 EDT
(In reply to comment #14)
> (In reply to comment #13)
> > > > noticed during updating as "root" that 3.3.1 and 3.3.2 were not installed as
> > > > part of the update process. 
> > > 
> > > I don't know what you mean here.
> > I mean if I check the version of eclipse after performing the update it is
> > still 3.3.0 not the newer version as I would expect it to be. 
> 
> Don't use the RPMs if you're going to use the update manager for RPM-installed
> components.  That's not supported.
I am using the rpm -qa command to find the installed packages. I am not updating eclipse through yum or the rpm command, I am using the update tool in the help section of eclipse. 

> 
> > > Try stripping everything down to just the Eclipse SDK and see what happens.
> > Alright I did what you asked above I now have these packages: 
> > eclipse-cdt-4.0.1-3.fc8
> 
> The CDT isn't part of the SDK.
> 
> > eclipse-rcp-3.3.0-31.fc8
> > eclipse-platform-3.3.0-31.fc8
> > eclipse-cvs-client-3.3.0-31.fc8
> > eclipse-ecj-3.3.0-31.fc8
> > eclipse-cdt-sdk-4.0.1-3.fc8
> 
> No CDT.

Okay it was pushed as a Dependant package via yum then, I used yum -y install eclipse-platform to reinstall. 
Ran # yum erase eclipse-cdt-4.0.1-3.fc8
Setting up Remove Process
livna                                                    | 2.1 kB     00:00     
fedora                                                   | 2.1 kB     00:00     
updates                                                  | 2.3 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package eclipse-cdt.i386 1:4.0.1-3.fc8 set to be erased
--> Processing Dependency: eclipse-cdt = 1:4.0.1-3.fc8 for package: eclipse-cdt-sdk
--> Running transaction check
---> Package eclipse-cdt-sdk.i386 1:4.0.1-3.fc8 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 eclipse-cdt             i386       1:4.0.1-3.fc8    installed          57 M
Removing for dependencies:
 eclipse-cdt-sdk         i386       1:4.0.1-3.fc8    installed         8.9 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       2 Package(s)         

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing   : eclipse-cdt                  ######################### [1/2] 
  Erasing   : eclipse-cdt-sdk              ######################### [2/2] 

Removed: eclipse-cdt.i386 1:4.0.1-3.fc8
Dependency Removed: eclipse-cdt-sdk.i386 1:4.0.1-3.fc8
Complete!

> 
> > when I try to launch eclipse I get the following error and it hangs: 
> > An internal error occurred during: "Compute launch button tooltip".
> > 
> > java.lang.NullPointerException
> 
> Do you have libswt3-gtk2? 
Yes querying for it shows: libswt3-gtk2-3.3.0-31.fc8

> If you've removed everything *and* cleaned out
I removed everything via yum erase eclipse and ran the rm command as user and whatever I was denied permission to remove as user I wrote down and logged in as root and ran the rm command on those files. I assumed that's what was meant. Then installed the eclipse- platform and the C++ packages. The openJDK packages are not in the Fedora 8 repos. 
> /usr/lib{,64}/eclipse and /usr/share/eclipse *and* re-installed eclipse-pde or
> eclipse-platform via yum, please re-run the commands found here and paste the
> output here:
> 
> http://fedoraproject.org/wiki/DebuggingEclipseProblems
$ which java
/usr/bin/java
$ which javac
/usr/bin/javac
$ java -version
java version "1.7.0"
IcedTea Runtime Environment (build 1.7.0-b21)
IcedTea Client VM (build 1.7.0-b21, mixed mode)



> 
> > As a foot note I did get Fedora 9 to install on VMWare player Eclipse 3.3.2
> > problems there too.
> 
> Sigh, I also can't reproduce this :( .  I'm running Fedora 9 here and have no
> issues with Eclipse 3.3.2 as provided in the RPMs.  Did you try with a clean
> ~/.eclipse and/or workspace?

Different problems; splash screen never goes away, can't build an empty C++ project. Sorry should have filed those bugs.
Comment 16 Andrew Overholt 2008-08-15 13:42:41 EDT
> > Don't use the RPMs if you're going to use the update manager for RPM-installed
> > components.  That's not supported.
> I am using the rpm -qa command to find the installed packages. I am not
> updating eclipse through yum or the rpm command, I am using the update tool in
> the help section of eclipse. 

What you're describing isn't supported.  You can't update Fedora Eclipse using the Eclipse update manager.  You can install *new* things, but you can't update the RPM-provided stuff.  If you do attempt it, things will break.
 
> > If you've removed everything *and* cleaned out
> I removed everything via yum erase eclipse and ran the rm command as user and
> whatever I was denied permission to remove as user I wrote down and logged in
> as root and ran the rm command on those files. I assumed that's what was meant.

I meant something like that :)  Something kinda like:

$ su -
# yum remove libswt3-gtk2 eclipse-ecj
# mv /usr/lib/eclipse{,.broken}
# mv /usr/share/eclipse{,.broken}
# yum install eclipse-pde
# exit
$ mv ~/.eclipse{,.broken}
$ for f in `rpm -qa | egrep "eclipse|swt"`; do echo $f; rpm -qV $f; done
$ eclipse -data /tmp/test455831workspace

If this *doesn't* work, we've got a problem.  If that does work, then you can proceed on to things like:

$ su -
# yum install eclipse-cdt
# exit
$ eclipse -data /tmp/testCDT

If *that* doesn't work, file a bug against eclipse-cdt.
Comment 17 Bug Zapper 2008-11-26 06:00:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 01:40:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.